Subject: Porting Software to Linux

From: Damiano Bolla <[email-masked]>
Date: Thu, 2 Apr 92 9:12 BST

Hello

This article contains some suggestions for all of you that want to port 
software to Linux and asck some questions about standards.

First:
My system is: gcc1.40 (the new one with the new library)
kernel 95a and the rest is as usual :-)

I ported the ghostscript2.4 to Linux, I had to since I have a strange printer.
I defined SYVR4 for my compile
I had only two problems:
1) The field st_bloks in the file sys/stat.h is missing
2) The file malloc.h is missing
NOTHING more ! 

The point now is this:
Can SOMEBODY please modify the include files in the DISTRIBUTION so 
they are consistent with SYSVr4 ?
This will make Linux MORE and MORE "standard" !!!!

The idea is that everybody that compile uses either
-DSYSVR4
or
-DPOSIX 
or
-DSYSV

They keep trak of the incompatibility they find and report them in this
 maillist. SOmebody then will update the include files so the reported
problem will not appear again !

Damiano

P.S. It really would be nice if we had a different subtree for each new linux
release. What I am asking is that the ftp-man put the NEW stuff and ONLY
the new stuff under the current release. By this way we immediatly know
what is new instead of downloading megabytes and then find that we already
had the pakage....
Am I asking too much ?